//
//  CCMonochromeKBFilter.fsh
//  ProjectBubble
//
//  Created by Jérémy GUERY on 04/03/13.
//  Copyright (c) 2013 Bulwark Studios. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;

uniform float colorAmout;

void main()
{
    
    vec4 normalColor = texture2D(u_texture, v_texCoord);  
    
    vec3 colrgb = normalColor.rgb;
    
    lowp float luminance = normalColor.r*.2126+normalColor.g*.7152+.0722*normalColor.b;
    
    colrgb.rgb = mix(vec3(luminance,luminance,luminance), colrgb, colorAmout);

    gl_FragColor = vec4(colrgb.rgb, normalColor.a);
    
}



